package mmkurssit;

/**
 * CRC sisällöt tähän
 * @author aichi
 * @version 26 Feb 2025
 *
 */
public class MMKurssit {

    Kurssit kurssit = new Kurssit();
    Tapaamiset tapaamiset = new Tapaamiset();
    
//==================================================================

    
    /**
     * Lisätään uusi kurssi
     * @param esimk lisättävä kurssi
     * @throws SailoException jos lisääminen ei onnistu
     */
    public void lisaa(Kurssi esimk) throws SailoException {
        kurssit.lisaa(esimk);
    }
    
    
    /**
     * @return kurssien kpl
     */
    public int getKurssienKpl() {
        return kurssit.getKpl();
    }
    
    
    /**
     * @param i kyseisen kurssin indeksi
     * @return pyydetty kurssi kurssit-taulkosta
     */
    public Kurssi annaKurssi(int i) {
        return kurssit.anna(i);
    }
    
    
//===================================================================
    
    /**
     * @param args ei käytössä
     */
    public static void main(String[] args) {
    
            MMKurssit ohjelma = new MMKurssit();
            
            Kurssi japani4 = new Kurssi();
            Kurssi ohjelmointi2 = new Kurssi();
            japani4.rekisteroi();
            japani4.tayta();
            ohjelmointi2.rekisteroi();
            ohjelmointi2.tayta();
            
            try {
                ohjelma.lisaa(japani4);
                ohjelma.lisaa(ohjelmointi2);
                //ohjelma.lisaa(japani4);
                //ohjelma.lisaa(ohjelmointi2);
                //ohjelma.lisaa(japani4);
                //ohjelma.lisaa(ohjelmointi2);
            } catch (SailoException e) {
                System.err.println(e.getMessage());
            }
            
            
            for (int i=0; i<ohjelma.getKurssienKpl(); i++) {
                Kurssi kurssi = ohjelma.annaKurssi(i);
                kurssi.tulosta(System.out);
            }
    
    }

}
